import request from '@/utils/request'

// 查询产品浏览分析列表
export function listStoreVisit(query) {
  return request({
    url: '/store/store/storeVisit/list',
    method: 'get',
    params: query
  })
}

// 查询产品浏览分析详细
export function getStoreVisit(id) {
  return request({
    url: '/store/store/storeVisit/' + id,
    method: 'get'
  })
}

// 新增产品浏览分析
export function addStoreVisit(data) {
  return request({
    url: '/store/store/storeVisit',
    method: 'post',
    data: data
  })
}

// 修改产品浏览分析
export function updateStoreVisit(data) {
  return request({
    url: '/store/store/storeVisit',
    method: 'put',
    data: data
  })
}

// 删除产品浏览分析
export function delStoreVisit(id) {
  return request({
    url: '/store/store/storeVisit/' + id,
    method: 'delete'
  })
}

// 导出产品浏览分析
export function exportStoreVisit(query) {
  return request({
    url: '/store/store/storeVisit/export',
    method: 'get',
    params: query
  })
}
